## a2dpsink a2dpsink |

## Properties

gboolean | auto-connect | Read / Write
gchar * | device | Read / Write
gchar * | transport | Read / Write

## Types and Values

struct | GstA2dpSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBin
                        ╰── GstA2dpSink

## Implemented Interfaces

GstA2dpSink implements GstChildProxy.

## Description

## Synopsis

### Element Information

plugin | bluez
author | Marcel Holtmann <marcel@holtmann.org>
class | Sink/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-sbc, rate=(int){ 16000, 32000, 44100, 48000 }, channels=(int)[ 1, 2 ], channel-mode=(string){ mono, dual, stereo, joint }, blocks=(int){ 4, 8, 12, 16 }, subbands=(int){ 4, 8 }, allocation-method=(string){ snr, loudness }, bitpool=(int)[ 2, 64 ]
| audio/mpeg

## Functions

## Types and Values

### struct GstA2dpSink

    struct GstA2dpSink;

## Property Details

### The `“auto-connect”` property

      “auto-connect”             gboolean

Automatically attempt to connect to device.

Flags: Read / Write

Default value: TRUE

### The `“device”` property

      “device”                   gchar *

Bluetooth remote device address.

Flags: Read / Write

Default value: NULL

### The `“transport”` property

      “transport”                gchar *

Use configured transport.

Flags: Read / Write

Default value: NULL